INTERFACE
SUBROUTINE QNEG(KPROMA,KIDIA,KFDIA,PQ,PQN)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQN(KPROMA)
END SUBROUTINE QNEG
END INTERFACE
